Subject: Re: bug#71724: 30.0.50; [PATCH] php-ts-mode: Colorize CSS property value like `css--fontify-region'

From: Vincenzo Pupillo <[email-masked]>
Date: Sun, 23 Jun 2024 12:11:07 +0200

In data domenica 23 giugno 2024 07:06:10 CEST, Eli Zaretskii ha scritto:
> > From: Vincenzo Pupillo <[email-masked]>
> > Date: Sat, 22 Jun 2024 23:36:13 +0200
> > 
> > this patch adds a new feature to colorize a property when it's value is a
> > text that represents a CSS color. It will be fontified such that its
> > background is the color itself, like in 'cs-ts-mode'.
> > A new custom var 'php-ts-mode-css-fontify-colors' can be used to toggle
> > this behavior.
> 
> Thanks, installed, and closing the bug.
> 
> Please in the future observe our conventions for the commit log
> 
> messages:
> > Subject: [PATCH] Colorize CSS property value like `css--fontify-region'
> > 
> > If the value of a property is text representing a CSS color, it will be
> > fontified such that its background is the color itself.
> > 'php-ts-mode-css-fontify-colors' can be used to disable this behaviour.
> 
> These lines are too long.  They will be indented by a TAB in the
> generated ChangeLog file, so they should preferably be no longer than
> 65 characters.
> 
> > * lisp/progmodes/php-ts-mode.el (php-ts-mode-css-fontify-colors):
> >   New custom var.
> 
>  ^^^
> Please don't leave this whitespace at the beginning of lines.
> 
> > * lisp/progmodes/php-ts-mode.el (php-ts-mode): Use the new function.
> 
> This line is also too long.
> 
> I usually correct any log messages that need it, but if you observe
> these conventions better, it will make my job easier.
> 
> Thanks.
I apologize, I will be more accurate with the commit log messages.
Thank you very much Eli.

Vincenzo